part of '../../../permission_management.dart';

class BranchModel extends NameModel<int> {
  static const String descriptionTag = "description";
  final String? description;

  const BranchModel({
    super.id = 0,
    required super.name,
    super.status,
    this.description,
  });
  BranchModel.fromMap(super.map)
      : description = map.getString(descriptionTag),
        super.fromMap();

  @override
  Map<String, dynamic> toMap() => {
        ...super.toMap(),
        descriptionTag: description,
      };
}

extension BranchModelExtension<ModelType extends BranchModel>
    on Iterable<ModelType> {}
