part of '../../../permission_management.dart';

class DeviceModel extends StatusModel<String> {
  static const String descriptionTag = "description";
  final String? description;

  const DeviceModel({
    required super.id,
    super.status = false,
    this.description,
  });
  DeviceModel.fromMap(super.map)
      : description = map.getString(descriptionTag),
        super.fromMap();

  @override
  Map<String, dynamic> toMap() => {
        ...super.toMap(),
        descriptionTag: description,
      };
}

extension DeviceModelExtension<ModelType extends DeviceModel>
    on Iterable<ModelType> {}
