part of '../../../store_management.dart';

class MeasureUnitApiController extends TableController<MeasureUnitModel> {
  static MeasureUnitApiController? instance;
  MeasureUnitApiController({
    required super.api,
    super.rows,
  }) : super(
          name: "MeasureUnits",
          publicStorage: true,
          fromMapConverter: MeasureUnitModel.fromMap,
        );
  MeasureUnitModel? whereById(int? id) =>
      rows.firstWhereOrNull((element) => element.id == id);
}
