part of '../../../store_management.dart';

class ProductCatagoryModel extends NameModel<int> {
  static const String descriptionTag = "description";
  final String? description;

  final int sessionId;
  static const String sessionIdTag = "sessionId";
  final int userId;
  static const String userIdTag = "userId";
  const ProductCatagoryModel({
    super.id = 0,
    required super.name,
    super.status = true,
    this.description,
  })  : sessionId = 0,
        userId = 0;
  ProductCatagoryModel.fromMap(super.map)
      : description = map.getString(descriptionTag),
        sessionId = map.getInt(sessionIdTag)!,
        userId = map.getInt(userIdTag)!,
        super.fromMap();

  @override
  Map<String, dynamic> toMap() =>
      {...super.toMap(), descriptionTag: description};
}
